/***************************************************************************
	mmsuper8list - Lists .avi or .mov chunks

			-------------------
        begin           : 5/31/2004, 1/15/2005
        copyright       : (C) 2004 by Michael Minn
        email           : see www.michaelminn.com
                        -------------------

***************************************************************************/

/*
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <errno.h>
#include <time.h>
#include <math.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>
#include "mmpnm.h"
*/

#include "mmavi.h"
#include "mmquicktime.h"


int print_syntax()
{
	fprintf(stderr, "SYNTAX: mmsuper8list <.avi file | .mov file>\n");

	return 0;
}

int main(int argc, char **argv)
{
	if (argc != 2)
		return print_syntax();

	if (strstr(argv[1], ".mov"))
		mmquicktime_list(argv[1]);
	else 
		mmavi_list(argv[1]);

	return 0;
}
